B2SUM(1)

NAMN
b2sum - compute and check BLAKE2 message digest

SYNOPSIS
b2sum [FLAGGA]... [FIL]...

BESKRIVNING

Skriv eller kontrollera BLAKE2 (512-bitars) kontrollsummor.

Utan FIL, eller när FIL är -, läs standard in.

-b, --binary
    Läs i binärt läge.

-c, --check
    Läs BLAKE2-kontrollsummor från FILerna och kontrollera dem.

-l, --length
    Kontrollsummelängd i bitar; får inte överskrida det maximala för algoritmen blake2 och måste vara en multipel av 8.

--tag
    Skapa en kontrollsumma i BSD-stil.

-t, --text
    Läs i textläge (standard).

-z, --zero
    Avsluta varje utmatad rad med NOLL, inte nyrad, och avaktivera kontrollsekvenser i filnamn.

  De fem följande flaggorna är användbara enbart vid verifikation av kontrollsummor:

--ignore-missing
    Misslyckas inte eller rapportera status för saknade filer.

--quiet
    Skriv inte OK för varje verifierad fil.

--status
    Skriv inte ut något, statuskoden visar resultatet.

--strict
    Returnera nollskilt vid felformaterade kontrollsummerader.

-w, --warn
    Varna för felaktigt formaterade kontrollsummerader.

--help
    Visa denna hjälp och avsluta.

--version
    Visa versionsinformation och avsluta.

Summorna beräknas som beskrivs i RFC 7693. Vid kontroll skall indata vara en tidigare utdata från detta program. Normalläget är att skriva en rad med: kontrollsumma, ett mellanslag, ett tecken som indikerar indataläge (”*” för binärt, ” ” för text eller där binärläge är betydelselöst) och namnet på varje FIL.

Obs: det är ingen skillnad mellan binärt läge och textläge på GNU-system.

UPPHOVSMAN
Skrivet av Padraig Brady och Samuel Neves.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>.

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE OCKSÅ
Fullständig dokumentation <https://www.gnu.org/software/coreutils/b2sum64>
eller tillgängligt lokalt via: info '(coreutils) b2sum invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till <TODO>.